2019-10-14 03:22 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004864Spring engineGeneralpublic2015-07-07 14:02
ReporterGoogle_Frog 
Assigned Toabma 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionunable to reproduce 
Product Version99.0+git 
Target VersionFixed in Version 
Summary0004864: 99.0.1-41 Failed to allocate memory
DescriptionI was testing the engine and had a crash "Failed to allocate memory".
Additional InformationReplay with ZK v1.3.6.10
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon infolog.txt (149,529 bytes) 2015-07-01 05:12 -
    [ParseCmdLine] command-line args: "C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe"
    Using configuration source: "C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\springsettings.cfg"
    Using additional configuration source: "C:\Users\user\Documents\My Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    DualScreenMiniMapOnLeft = 1
    EdgeMoveWidth = 0.002
    ExtraTextureUpdateRate = 10
    FPSFOV = 90
    FSAALevel = 2
    FontFile = FreeSansBold.otf
    Fullscreen = 0
    GroundDecals = 3
    GroundDetail = 100
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = ScorpioBattleground
    LastSelectedMod = Zero-K $VERSION
    LastSelectedScript = Commanders
    MaxParticles = 20000
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.005
    MiniMapRenderToTexture = 0
    MouseDragScrollThreshold = 0
    ReconnectTimeout = 0
    ReflectiveWater = 4
    ScreenshotCounter = 38
    ScrollWheelSpeed = -25
    Shadows = 1
    ShowFPS = 1
    ShowPlayerInfo = 0
    ShowSpeed = 1
    SmallFontFile = FreeSansBold.otf
    SmoothLines = 1
    TeamNanoSpray = 0
    TreeRadius = 1000
    UnitIconDist = 151
    UnitLodDist = 9999
    UsePBO = 0
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    snd_volmaster = 31
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 99.0.1-41-g9d1b5ac develop
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Business Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i7-3930K CPU @ 3.20GHz; 16333MB RAM, 32664MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 6
     Logical CPU Cores: 12
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x864, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024, 1360x768, 1366x768, 1600x900, 1600x1024, 1680x1050, 1920x1080
    Supported Video modes on Display 2 x:1920 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x864, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024, 1360x768, 1366x768, 1600x900, 1600x1024, 1680x1050, 1920x1080
    SDL version:  linked 2.0.3; compiled 2.0.2
    GL version:   4.4.0 NVIDIA 344.11
    GL vendor:    NVIDIA Corporation
    GL renderer:  GeForce GTX 560 Ti/PCIe/SSE2
    GLSL version: 4.40 NVIDIA via Cg compiler
    GLEW version: 1.5.8
    Video RAM:    total 1024MB, available 667MB
    SwapInterval: 1
    FBO::maxSamples: 32
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 190, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 84 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1920x1080:24bit @60Hz (windowed)
    [WatchDog::Install] disabled
    [ThreadPool::SetThreadCount][1] #wanted=6 #current=1 #max=6
    [ThreadPool::SetThreadCount][2] #threads=5
    [DataDirs] Portable Mode!
    Using read-write data directory: C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\
    Using read-only data directory: C:\Users\user\Documents\My Games\Spring\
    Archive cache doesn't exist: C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\cache\ArchiveCache10.lua
    Archive cache doesn't exist: C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\cache\ArchiveCache.lua
    Scanning: C:\Users\user\Documents\My Games\Spring\maps
    Scanning: C:\Users\user\Documents\My Games\Spring\base
    Scanning: C:\Users\user\Documents\My Games\Spring\games
    Scanning: C:\Users\user\Documents\My Games\Spring\packages
    Scanning: C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\base
    Warning: C:\Users\user\Documents\My Games\Spring\maps\white_rabbit_v2_1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\vernal_3way_0.6.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\Trefoil_v2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\tma-0_v1_1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\the_river_nix_20.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\sea_of_dunes_v1.0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\sands_of_time_v1.0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\Red_Comet_v1.12.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\quicksilver_1_1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\living_lands_v2.02.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\iced_coffee_v4_2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\iced_coffee_v4.3.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\iced_coffee_v3.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\hex_farm_7.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\harbinger_2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\harbinger-v1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\green_river_confluence_v10.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\fhbeta_v0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\fastestmapforever_1.sdz: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\evorts_-_glacier_pass_-_v12.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\evorts_-_eye_of_horus_-_v12.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\evorts_-_delta_siege_-_v12.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\evorts_-_altored_divide_-_v10.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\EvoRTS-RiverGlade-v12.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\EvoRTS-RiverGlade-v10.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\evorts-riverglade-v09.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\EvoRTS-Proving_Grounds-v10.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\EvoRTS-New_Iammas-v12.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\EvoRTS-Glacier_Pass-v11.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\EvoRTS-Eye_of_Horus-v10.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\duke_nukem_4.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\desert_needle_small_3.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\desert_needle_small_3.0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\deserted_third_v4.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\coagulation_marsh_0.6.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\charlie_in_the_hills_v3.3.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\charlie_in_the_hills_v3.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\cattle_and_loveplay_no_worms_1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\astroturf_v2_3.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\apophis_v2_2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: C:\Users\user\Documents\My Games\Spring\maps\absolution_2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               Speakers (Realtek High Definition Audio)
    [f=0000000] [Sound]               Realtek Digital Output (Realtek High Definition Audio)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 128
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=3 #current=6 #max=6
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=2
    [f=0000000] [Threading] Main thread CPU affinity mask set: 4092
    [f=0000000] [ArchiveScanner] Warning: Zero-K $VERSION checksum: not found (0)
    [f=0000000] [InitOpenGL] video mode set to 1920x1080:24bit @60Hz (windowed)
    [f=0000000] Hosting on: localhost:8452
    [f=0000000] Connecting to local server
    [f=0000000] [AddGameSetupArchivesToVFS] using map: ScorpioBattleground
    [f=0000000] Warning: Opening socket on loopback address. Other users will not be able to connect!
    [f=0000000] Binding UDP socket to IP (v6) ::1 port 8452
    [f=0000000] [UDPListener] successfully bound socket on port 8452
    [f=0000000] PreGame::StartServer: 82 ms
    [f=0000000] [AddGameSetupArchivesToVFS] using map: ScorpioBattleground
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Zero-K v1.3.6.10 (archive: b847e95f788f698c54b28d02e214050b.sdp)
    [f=0000000] Recording demo to: C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\demos\20150701_130722_ScorpioBattleground_99.0.1-41-g9d1b5ac develop.sdf
    [f=0000000] PreGame::GameDataReceived: 53 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 0 (team 0, allyteam 0)
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Found new widget "WM Stuff"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      WM Stuff               <wm.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (103 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] [gamedata/modularcomms/unitdefgen.lua] Warning: Modular Comms warning: Comm data entry in modoption is empty or in invalid format
    [f=0000000] Loading all definitions:  0.351000
    [f=0000000] Game::LoadDefs (GameData): 410 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound] Warning: Sound incomingchat is missing file tag (ignoring)
    [f=0000000] [Sound]  parsed 313 sounds from gamedata/sounds.lua
    [f=0000000] [Sound] Error: Unable to open audio file: IncomingChat
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=0000000] Game::LoadDefs (Sound): 13 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 62 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 5
    [f=0000000] Warning: [CDamageArrayHandler] UnitDef "chicken" in ArmorDef "chicken" already belongs to ArmorDef category 1!
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "arm_venom_spider"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "armaak_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "minbarrelangle" in "armaak_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "armaak_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "armaak_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armaak_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "armaak_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "noautorange" in "armamd_amd_rocket"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "armamd_amd_rocket"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "armamd_amd_rocket"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "armamd_amd_rocket"
    [f=0000000] Warning: WeaponDefs: Unknown tag "twophase" in "armamd_amd_rocket"
    [f=0000000] Warning: WeaponDefs: Unknown tag "vlaunch" in "armamd_amd_rocket"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "armartic_arm_det_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "armbanth_lightning"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "armbrawl_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "armbrawl_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "armbrawl_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "armbrawl_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "armcir_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "armcir_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom0_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom1_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom2_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom3_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom4_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armcom5_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "minbarrelangle" in "armcrabe_arm_crabe_gauss"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakeduration" in "armcrabe_arm_crabe_gauss"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakemagnitude" in "armcrabe_arm_crabe_gauss"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "armcybr_arm_pidr"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "armcybr_arm_pidr"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakeduration" in "armcybr_arm_pidr"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakemagnitude" in "armcybr_arm_pidr"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "armcybr_arm_pidr"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "armcybr_arm_pidr"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armflea_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "armflea_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armkam_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armmanni_ata"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "armmanni_ata"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "armmanni_ata"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "armorco_aalaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "minbarrelangle" in "armorco_gauss"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "armorco_gauss"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "armorco_orcone_rocket"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "armorco_orcone_rocket"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "armraz_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "armraz_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "armraz_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "armraz_razorback_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "armraz_razorback_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "armraz_razorback_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "armraz_razorback_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "armstiletto_laser_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "assaultcruiser_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "minbarrelangle" in "assaultcruiser_gauss"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "assaultcruiser_gauss"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "atomic_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "atomic_blastsml"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "attackdrone_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "benzcom0_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "benzcom0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "benzcom1_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "benzcom1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "benzcom2_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "benzcom2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "benzcom3_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "benzcom3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "benzcom4_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "benzcom4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "benzcom5_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "benzcom5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "big_unit"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "big_unitex"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "big_unitex_leveler"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "big_unitex_merl"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "blackdawn_vtol_salvo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "blackdawn_vtol_salvo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "bladew_paralyzer"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "blastwing_explosion"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "bomberassault_zeppelin_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "dropped" in "bomberdive_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "bomberdive_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "scale" in "bomberdive_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "bomberdive_bombsabot"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "bomberdive_bombsabot"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "bomberdive_bombsabot"
    [f=0000000] Warning: WeaponDefs: Unknown tag "scale" in "bomberdive_shield_check"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "bomberlaser_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "bomberlaser_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "bomberlaser_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "bomberlaser_napalm"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "bomberstrike_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "capturecar_captureray"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "carrydrone_arm_drone_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "carrydrone_arm_drone_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "dropped" in "chicken_blimpy_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "chicken_blimpy_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chicken_blimpy_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "scale" in "chicken_blimpy_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "chicken_blimpy_bombtrigger"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chicken_blimpy_bombtrigger"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chicken_blimpy_bombtrigger"
    [f=0000000] Warning: WeaponDefs: Unknown tag "dropped" in "chicken_blimpy_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "chicken_blimpy_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chicken_blimpy_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "chicken_blimpy_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chicken_blimpy_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chicken_blimpy_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_blimpy_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chicken_digger_b_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chicken_digger_b_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chicken_digger_b_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_digger_b_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chicken_dragon_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_dragon_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chicken_dragon_melee"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_dragon_melee"
    [f=0000000] Warning: WeaponDefs: Unknown tag "dropped" in "chicken_dragon_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chicken_dragon_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_dragon_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chicken_leaper_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chicken_leaper_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_leaper_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "dropped" in "chicken_pigeon_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "chicken_pigeon_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "scale" in "chicken_pigeon_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "dropped" in "chicken_pigeon_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chicken_pigeon_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_pigeon_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "chicken_roc_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chicken_roc_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_roc_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chicken_roc_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chicken_roc_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_roc_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chicken_shield_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chicken_shield_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_shield_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chicken_shield_fake_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chicken_shield_fake_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_shield_fake_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "chicken_spidermonkey_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "chicken_spidermonkey_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chicken_spidermonkey_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_spidermonkey_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "chicken_spidermonkey_web"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_spidermonkey_web"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "chicken_sporeshooter_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chicken_sporeshooter_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chicken_sporeshooter_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "chicken_sporeshooter_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chicken_sporeshooter_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_sporeshooter_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chicken_tiamat_jaws"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "chicken_tiamat_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chicken_tiamat_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chicken_tiamat_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "chicken_tiamat_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chicken_tiamat_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_tiamat_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chicken_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chicken_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "chickena_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickena_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickena_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "chickena_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickena_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickena_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chickenblobber_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenblobber_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenbroodqueen_melee"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "chickenbroodqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenbroodqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenbroodqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "chickenbroodqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickenbroodqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenbroodqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chickenc_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenc_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenc_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenc_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickend_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickend_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickend_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickend_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "propeller" in "chickenf_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenf_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "chickenflyerqueen_basiliskbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenflyerqueen_basiliskbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickenflyerqueen_basiliskbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenflyerqueen_basiliskbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "chickenflyerqueen_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenflyerqueen_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickenflyerqueen_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenflyerqueen_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chickenflyerqueen_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenflyerqueen_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenflyerqueen_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenflyerqueen_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "chickenflyerqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenflyerqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenflyerqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "chickenflyerqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickenflyerqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenflyerqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "chickenflyerqueen_tiamatbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenflyerqueen_tiamatbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickenflyerqueen_tiamatbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenflyerqueen_tiamatbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "chickenlandqueen_basiliskbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenlandqueen_basiliskbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickenlandqueen_basiliskbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenlandqueen_basiliskbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "chickenlandqueen_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenlandqueen_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickenlandqueen_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenlandqueen_dodobomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chickenlandqueen_firegoo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenlandqueen_firegoo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenlandqueen_firegoo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenlandqueen_firegoo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chickenlandqueen_melee"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenlandqueen_melee"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenlandqueen_melee"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenlandqueen_queencrush"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenlandqueen_queencrush"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "chickenlandqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenlandqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenlandqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "chickenlandqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickenlandqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenlandqueen_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "chickenlandqueen_tiamatbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenlandqueen_tiamatbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickenlandqueen_tiamatbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenlandqueen_tiamatbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chickenq_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenq_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenq_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenq_goo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chickenq_melee"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenq_melee"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenq_melee"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenq_queencrush"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenq_queencrush"
    [f=0000000] Warning: WeaponDefs: Unknown tag "dropped" in "chickenq_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "chickenq_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenq_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenq_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "chickenq_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickenq_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenq_spores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chickenr_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "chickenr_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "chickenr_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenr_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "propeller" in "chickens_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "chickens_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chickenspire_lrblobber"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenspire_lrblobber"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "chickenspire_slamspore"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenspire_slamspore"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "chickenwurm_napalm"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "chickenwurm_napalm"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_battle_pea_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_battle_pea_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_battle_pea_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_battle_pea_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_battle_pea_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_assault_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_assault_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_0_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_assault_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_assault_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_1_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_assault_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_assault_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_2_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_assault_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_assault_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_3_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_assault_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_assault_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_4_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_assault_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_assault_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_assault_5_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_hispeed_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_0_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_0_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_0_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_hispeed_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_1_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_1_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_1_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_hispeed_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_2_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_2_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_2_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_hispeed_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_3_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_3_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_3_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_hispeed_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_4_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_4_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_4_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_hispeed_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_hispeed_5_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_hispeed_5_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_hispeed_5_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_cai_range_0_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_range_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_range_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_range_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_cai_range_1_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_range_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_range_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_range_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_cai_range_2_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_range_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_range_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_range_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_cai_range_3_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_range_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_range_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_range_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_cai_range_4_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_range_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_range_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_range_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_cai_range_5_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_range_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_range_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_range_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_riot_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_riot_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_riot_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_riot_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_1_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_riot_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_riot_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_riot_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_2_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_riot_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_riot_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_riot_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_3_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_riot_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_riot_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_riot_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_4_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_riot_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_riot_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_riot_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_5_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_riot_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_riot_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_riot_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_specialist_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_specialist_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_specialist_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_cai_specialist_1_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_specialist_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_specialist_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_specialist_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_cai_specialist_2_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_specialist_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_specialist_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_specialist_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_cai_specialist_3_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_specialist_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_specialist_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_specialist_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_cai_specialist_4_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_specialist_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_specialist_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_specialist_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_cai_specialist_5_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_cai_specialist_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_cai_specialist_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_cai_specialist_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_cai_specialist_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_campaign_ada_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_ada_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_campaign_ada_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_campaign_ada_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_campaign_biovizier_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_biovizier_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_campaign_biovizier_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_biovizier_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_campaign_biovizier_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_campaign_freemachine_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_freemachine_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_freemachine_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_campaign_freemachine_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_freemachine_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_campaign_freemachine_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_campaign_isonade_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_campaign_isonade_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_isonade_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_isonade_commweapon_sonicgun"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_campaign_isonade_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_campaign_legion_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_legion_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_campaign_legion_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_legion_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_campaign_legion_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_campaign_odin_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_campaign_odin_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_odin_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_campaign_odin_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_odin_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_campaign_odin_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_campaign_odin_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_odin_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_campaign_odin_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_campaign_praetorian_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_campaign_praetorian_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_praetorian_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_campaign_praetorian_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_campaign_promethean_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_promethean_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_campaign_promethean_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_promethean_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_campaign_promethean_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_campaign_promethean_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_campaign_promethean_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_campaign_promethean_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_econ_cai_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_econ_cai_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_econ_cai_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_econ_cai_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_econ_cai_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_flamer_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_flamer_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_flamer_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_flamer_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_flamer_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_guardian_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_guardian_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_guardian_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_guardian_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_hammer_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_hammer_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_hammer_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_hammer_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_hunter_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_hunter_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_hunter_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_hunter_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_hunter_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_marine_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_marine_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_marine_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_marine_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_marine_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_marine_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_marine_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_marine_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_marksman_cai_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_marksman_cai_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_marksman_cai_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_marksman_cai_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_marksman_cai_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_marksman_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_marksman_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_marksman_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_marksman_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_marksman_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_mission_tutorial1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_mission_tutorial1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_mission_tutorial1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_mission_tutorial1_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_recon_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_recon_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_recon_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_recon_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_recon_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_recon_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_recon_pea_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_recon_pea_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_recon_pea_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_recon_pea_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_recon_pea_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_recon_pea_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_recon_pea_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_recon_pea_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_recon_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_recon_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_recon_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_riot_cai_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_riot_cai_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_riot_cai_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_riot_cai_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_riot_cai_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_riot_cai_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_riot_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_riot_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_riot_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_riot_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_riot_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_riot_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_rocketeer_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_rocketeer_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_rocketeer_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_rocketeer_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_sonic_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_sonic_sonicgun"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_strike_hmg_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_strike_hmg_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_strike_hmg_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_strike_hmg_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_strike_lpb_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_strike_lpb_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_strike_lpb_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_strike_lpb_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_strike_lpb_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_strike_pea_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_strike_pea_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_strike_pea_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_strike_pea_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_stun_cai_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_stun_cai_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_stun_cai_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_stun_cai_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_support_pea_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_support_pea_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_support_pea_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_support_pea_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_support_pea_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_thunder_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_thunder_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_thunder_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_thunder_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_battle_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_battle_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_battle_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_battle_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_1_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_battle_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_battle_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_battle_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_2_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_battle_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_battle_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_battle_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_3_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_battle_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_battle_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_battle_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_4_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_battle_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_battle_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_battle_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_5_commweapon_riotcannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_battle_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_battle_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_battle_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_recon_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_0_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_0_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_0_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_recon_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_1_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_1_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_1_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_recon_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_2_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_2_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_2_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_recon_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_3_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_3_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_3_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_recon_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_4_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_4_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_4_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_recon_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_recon_5_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_recon_5_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_recon_5_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_trainer_siege_0_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_siege_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_siege_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_siege_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_trainer_siege_1_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_siege_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_siege_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_siege_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_trainer_siege_2_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_siege_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_siege_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_siege_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_trainer_siege_3_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_siege_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_siege_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_siege_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_trainer_siege_4_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_siege_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_siege_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_siege_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "comm_trainer_siege_5_assault_cannon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_siege_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_siege_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_siege_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_strike_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_strike_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_0_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_strike_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_strike_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_1_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_strike_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_strike_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_2_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_strike_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_strike_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_3_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_strike_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_strike_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_4_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_strike_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_strike_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_strike_5_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_support_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_0_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_support_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_support_0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_trainer_support_1_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_support_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_1_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_support_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_support_1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_trainer_support_2_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_support_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_2_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_support_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_support_2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_trainer_support_3_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_support_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_3_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_support_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_support_3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_trainer_support_4_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_support_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_4_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_support_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_support_4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "comm_trainer_support_5_commweapon_lparticlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "comm_trainer_support_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_5_commweapon_peashooter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "comm_trainer_support_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "comm_trainer_support_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "comm_trainer_support_5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commbasic_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commbasic_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon0_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon0_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon0_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon1_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon1_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon1_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon2_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon2_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon2_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon3_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon3_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon3_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon4_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon4_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon4_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commrecon5_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commrecon5_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commrecon5_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commsupport0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commsupport0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commsupport0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commsupport1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commsupport1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commsupport1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commsupport2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commsupport2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commsupport2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commsupport3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commsupport3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commsupport3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commsupport4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commsupport4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commsupport4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "commsupport5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "commsupport5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "commsupport5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "corak_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "minbarrelangle" in "corbats_plasma"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corbats_plasma"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corbhmth_plasma"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "corbtrans_aalaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "corbtrans_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "corbtrans_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corbtrans_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "corcom0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "corcom0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corcom0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "corcom1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "corcom1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corcom1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "corcom2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "corcom2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corcom2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "corcom3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "corcom3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corcom3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "corcom4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "corcom4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corcom4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "corcom5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "corcom5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corcom5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corcrw_clusterbomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "cordoom_heatray"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "cordoom_plasma"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "cordoom_plasma"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "corfast_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "corfav_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "corfav_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corfav_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "color" in "corflak_armflak_gun"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corgarp_mine"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "corgator_heatray"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "corgator_heatray"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corgator_heatray"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "corgol_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "corgrav_gravity_neg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corgrav_gravity_neg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corgrav_gravity_neg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "corgrav_gravity_pos"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corgrav_gravity_pos"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corgrav_gravity_pos"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "corhurc2_napalm"
    [f=0000000] Warning: WeaponDefs: Unknown tag "minbarrelangle" in "cormart_core_artillery"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "cormart_core_artillery"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "cormart_core_artillery"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "cormist_cortruck_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "cormist_cortruck_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "cornukesub_sub_amd_rocket"
    [f=0000000] Warning: WeaponDefs: Unknown tag "twophase" in "cornukesub_sub_amd_rocket"
    [f=0000000] Warning: WeaponDefs: Unknown tag "vlaunch" in "cornukesub_sub_amd_rocket"
    [f=0000000] Warning: WeaponDefs: Unknown tag "twophase" in "cornukesub_tacnuke"
    [f=0000000] Warning: WeaponDefs: Unknown tag "vlaunch" in "cornukesub_tacnuke"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "corpre_heatray"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "corpre_heatray"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corpre_heatray"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corpyro_napalm"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "corrad_targeter"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corraid_plasma"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "corrazor_aagun"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corrazor_aagun"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "correap_cor_reap"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "corrl_armrl_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "corrl_armrl_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corrl_armrl_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "corrl_armrl_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "corrl_armrl_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corrl_armrl_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "color" in "corsent_flak"
    [f=0000000] Warning: WeaponDefs: Unknown tag "minbarrelangle" in "corsent_flak"
    [f=0000000] Warning: WeaponDefs: Unknown tag "dropped" in "corshad_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "manualbombsettings" in "corshad_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "scale" in "corshad_bogus_bomb"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "corshad_bombsabot"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "corshad_bombsabot"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corshad_bombsabot"
    [f=0000000] Warning: WeaponDefs: Unknown tag "cruise" in "corsilo_crblmssl"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakeduration" in "corsilo_crblmssl"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakemagnitude" in "corsilo_crblmssl"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "corsilo_crblmssl"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corsilo_crblmssl"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakeduration" in "corsktl_corsktl_death"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakemagnitude" in "corsktl_corsktl_death"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "corsumo_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "corsumo_gravity_neg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corsumo_gravity_neg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corsumo_gravity_neg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "corsumo_gravity_pos"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "corsumo_gravity_pos"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corsumo_gravity_pos"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "corsumo_heatray"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "corsumo_landing"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "corsumo_particlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "corvamp_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "corvamp_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "crawl_blastsml"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom0_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom0_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom1_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom1_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom2_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom2_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom3_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom3_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom4_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom4_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom5_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "cremcom5_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "dante_heatray"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "dante_napalm_rockets"
    [f=0000000] Warning: WeaponDefs: Unknown tag "soundwater" in "dante_napalm_rockets"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "dante_napalm_rockets"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "dante_napalm_rockets_salvo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "soundwater" in "dante_napalm_rockets_salvo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "dante_napalm_rockets_salvo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "destroyer_plasma"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "dodo_death"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "estor_building"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "estor_buildingex"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "fighter_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "fighter_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "fighter_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "fighter_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "fighter_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "fighter_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "fighter_swift_gun"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "fighter_swift_gun"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "fighter_swift_gun"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "fighter_swift_gun"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "fighter_swift_gun"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "fighterdrone_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "endsmoke" in "gorg_gravity_neg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "gorg_gravity_neg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "gorg_gravity_neg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "gorg_gravity_neg_special"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "gorg_gravity_neg_special"
    [f=0000000] Warning: WeaponDefs: Unknown tag "cruise" in "grav_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "grav_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "noautorange" in "grav_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "propeller" in "grav_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "grav_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "grav_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakeduration" in "grav_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakemagnitude" in "grav_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "grav_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "grav_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "vlaunch" in "grav_blast"
    [f=0000000] Warning: WeaponDefs: Unknown tag "twophase" in "gunshipaa_aa_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "vlaunch" in "gunshipaa_aa_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "gunshipex"
    [f=0000000] Warning: WeaponDefs: Unknown tag "noautorange" in "hoveraa_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "hoveraa_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "hoveraa_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "twophase" in "hoveraa_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "vlaunch" in "hoveraa_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "hoverassault_dew"
    [f=0000000] Warning: WeaponDefs: Unknown tag "avoidenemy" in "hoverminer_mine"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "hoverriot_laser1"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "hoverriot_laser1"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "hoverriot_laser1"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "hoversonic_sonicgun"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "jumpblackhole_black_hole"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "jumpimpulse_impulse_beam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "large_buildingex"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "logkoda_bogus_fake_napalm_bomblet"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "logkoda_bogus_fake_napalm_bomblet"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "medium_buildingex"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "mine_core"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "missiletower_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "missiletower_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "missiletower_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "missiletower_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "missiletower_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "missiletower_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "explosionart" in "nanoboom2"
    [f=0000000] Warning: WeaponDefs: Unknown tag "explosiongaf" in "nanoboom2"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "nanoboom2"
    [f=0000000] Warning: WeaponDefs: Unknown tag "levelground" in "napalmmissile_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakeduration" in "napalmmissile_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakemagnitude" in "napalmmissile_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "nsaclash_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "nsaclash_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "nsaclash_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "cruise" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "noautorange" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "propeller" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakeduration" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakemagnitude" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "twophase" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "vlaunch" in "nuclear_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "panther_armlatnk_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "panther_death"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "puppy_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "puppy_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "puppy_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "puppy_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "puppy_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "puppy_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "holdtime" in "raveparty_blue_shocker"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "raveparty_red_killer"
    [f=0000000] Warning: WeaponDefs: Unknown tag "holdtime" in "raveparty_violet_slugger"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "roost_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "roost_aerospores"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "scorpion_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "scorpion_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "scorpion_fakelaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "scorpion_lightning"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "scorpion_particlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "levelground" in "seismic_seismic_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakeduration" in "seismic_seismic_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakemagnitude" in "seismic_seismic_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "shipaa_aalaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "shipaa_aalaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "shipaa_aalaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "shipaa_aalaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "shipaa_aalaser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "shipaa_bogus_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "shipaa_bogus_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "color" in "shipaa_flak"
    [f=0000000] Warning: WeaponDefs: Unknown tag "minbarrelangle" in "shipaa_flak"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "shipaa_flak"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "shipaa_flak"
    [f=0000000] Warning: WeaponDefs: Unknown tag "unitsonly" in "shipaa_flak"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "shipraider_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "shipraider_emg"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "shipskirm_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "guidance" in "shiptorp_torpedo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "propeller" in "shiptorp_torpedo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "shiptorp_torpedo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "selfprop" in "shiptorp_torpedo"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "slowmort_slowbeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "small_building"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "small_buildingex"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "small_unitex"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "spherepole_blade"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "spherepole_blade"
    [f=0000000] Warning: WeaponDefs: Unknown tag "pitchtolerance" in "spiderriot_particlebeam"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamweapon" in "sprinkler_laser"
    [f=0000000] Warning: WeaponDefs: Unknown tag "lineofsight" in "subraider_fakeweapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "propeller" in "subraider_fakeweapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "subraider_fakeweapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "subscout_death"
    [f=0000000] Warning: WeaponDefs: Unknown tag "levelground" in "tacnuke_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakeduration" in "tacnuke_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "shakemagnitude" in "tacnuke_weapon"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "tawf114_tawf_banisher"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "tiny_buildingex"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "tiptest_plasma"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "tiptest_plasma"
    [f=0000000] Warning: WeaponDefs: Unknown tag "rendertype" in "vehaa_missile"
    [f=0000000] Warning: WeaponDefs: Unknown tag "beamlaser" in "vehdisable_disableray"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "wolverine_mine_bomblet"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "wolverine_mine_bomblet"
    [f=0000000] Warning: WeaponDefs: Unknown tag "smokedelay" in "zenith_meteor"
    [f=0000000] Warning: WeaponDefs: Unknown tag "startsmoke" in "zenith_meteor"
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Error: [LoadFeaturesFromMap] unknown map feature type "talltree6													"
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Error: Unknown feature named 'talltree6													'
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 3 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Warning: [CCEG::Load] table for CEG "custom:gravityless_flamer" invalid (parse errors?)
    [f=0000000] Warning: [CCEG::Load] yellowdisarmtrail: Unknown tag explspike::ttl
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 311 ms
    [f=0000000] [Sound] Error: Unable to open audio file: MultiSelect
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: MultiSelect
    [f=0000000] Game::LoadInterface (Console): 1 ms
    [f=0000000] [Sound] Error: Unable to open audio file: FailedCommand
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: FailedCommand
    [f=0000000] InfoTexture: shaders
    [f=0000000] Loading LuaRules
    [f=0000000] [Planet Wars Structures] Warning: Planetwars warning: Planetwars data entry in modoption is empty or in invalid format
    [f=0000000] Initializing gadget
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] [CheckLUAFileAndBackup] Warning: cannot open LuaUI/Config/ZK_order.lua: No such file or directory (Now will find backup file)
    [f=0000000] [CheckLUAFileAndBackup] Warning: cannot open LuaUI/Config/ZK_order.lua.bak: No such file or directory (Backup file not available)
    [f=0000000] nil, LuaUI/Config/ZK_order.lua: No such file or directory, 2
    [f=0000000] nil, LuaUI/Config/ZK_order.lua.bak: No such file or directory, 2
    [f=0000000] [CheckLUAFileAndBackup] Warning: cannot open LuaUI/Config/ZK_data.lua: No such file or directory (Now will find backup file)
    [f=0000000] [CheckLUAFileAndBackup] Warning: cannot open LuaUI/Config/ZK_data.lua.bak: No such file or directory (Backup file not available)
    [f=0000000] nil, LuaUI/Config/ZK_data.lua: No such file or directory, 2
    [f=0000000] nil, LuaUI/Config/ZK_data.lua.bak: No such file or directory, 2
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] [CheckLUAFileAndBackup] Warning: cannot open LuaUI/Configs/zk_keys.lua: No such file or directory (Now will find backup file)
    [f=0000000] [CheckLUAFileAndBackup] Warning: cannot open LuaUI/Configs/zk_keys.lua.bak: No such file or directory (Backup file not available)
    [f=0000000] nil, LuaUI/Configs/zk_keys.lua: No such file or directory, 2
    [f=0000000] nil, LuaUI/Configs/zk_keys.lua.bak: No such file or directory, 2
    [f=0000000] Loaded local team color config.
    [f=0000000] Loaded API widget:  Cluster Detection   <api_cluster_detection.lua>
    [f=0000000] Loaded API widget:  Shared Functions    <api_shared_functions.lua>
    [f=0000000] Loaded API widget:  i18n                <api_i18n.lua>
    [f=0000000] Loaded API widget:  Modular Comm Info   <api_modularcomms.lua>
    [f=0000000] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=0000000] Loaded API widget:  Lag (AFK) monitor   <api_lag_monitor.lua>
    [f=0000000] Loaded API widget:  Lups                <lups_wrapper.lua>
    [f=0000000] Hardware mouse-cursor is enabled!
    [f=0000000] Set "shadows" config-parameter to 1
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Set maximum particles to: 20000
    [f=0000000] Set UnitLodDist to 9999
    [f=0000000] Set UnitIconDist to 151
    [f=0000000] model shaders is enabled!
    [f=0000000] Loaded widget:  EPIC Menu           <gui_epicmenu.lua>
    [f=0000000] Loaded widget:  Chili Minimap       <gui_chili_minimap.lua>
    [f=0000000] Loaded widget:  Chili Widget Selector  <gui_chili_widgetselector.lua>
    [f=0000000] Loaded widget:  Custom Cursor Sets  <gui_customcursorsets.lua>
    [f=0000000] Mexspot Fetcher fetching
    [f=0000000] Loaded widget:  Mexspot Fetcher     <wg_mexspot_fetcher.lua>
    [f=0000000] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [f=0000000] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [f=0000000] Loaded widget:  Noises              <snd_noises.lua>
    [f=0000000] Loaded widget:  Unit Icons          <unit_icons.lua>
    [f=0000000] Loaded widget:  Chili Vote Display  <gui_chili_vote.lua>
    [f=0000000] Loaded widget:  TeamCommEnds & Lavarise indicator  <gui_teamcommends.lua>
    [f=0000000] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [f=0000000] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [f=0000000] Loaded widget:  EndGame Stats       <gui_chili_endgraph.lua>
    [f=0000000] Loaded widget:  Initial Queue ZK    <unit_initial_queue.lua>
    [f=0000000] Loaded widget:  Unit Marker Zero-K  <unit_marker.lua>
    [f=0000000] Resetting win data
    [f=0000000] Loaded widget:  Win Counter         <win_counter.lua>
    [f=0000000] Loaded widget:  Antinuke Coverage   <gui_antinuke_coverage.lua>
    [f=0000000] Loaded widget:  Area Attack Tweak   <cmd_area_attack_tweak.lua>
    [f=0000000] Loaded widget:  Attack Warning      <unit_attack_warning.lua>
    [f=0000000] Loaded widget:  Auto First Build Facing  <init_autofirstbuildfacing.lua>
    [f=0000000] Loaded widget:  Auto Group          <unit_auto_group.lua>
    [f=0000000] Loaded widget:  Autoquit            <autoquit.lua>
    [f=0000000] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [f=0000000] Loaded widget:  CameraShake         <camera_shake.lua>
    [f=0000000] Loaded widget:  Chili Economy Panel Default  <gui_chili_economy_panel2.lua>
    [f=0000000] Loaded widget:  Chili EndGame Window  <gui_chili_endgamewindow.lua>
    [f=0000000] Loaded widget:  Chili Rejoining Progress Bar  <gui_chili_rejoin_progress.lua>
    [f=0000000] Loaded widget:  Chili Selections & CursorTip  <gui_chili_selections_and_cursortip.lua>
    [f=0000000] Loaded widget:  Clippy Comments     <unit_clippy.lua>
    [f=0000000] Loaded widget:  Comm-n-Elo Startpos. Info  <init_startpointelocom_info.lua>
    [f=0000000] Loaded widget:  Constructor Auto Assist  <unit_factory_guard.lua>
    [f=0000000] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [f=0000000] Loaded widget:  Darkening           <gui_darkening.lua>
    [f=0000000] Loaded widget:  Decoration Handler  <unit_decoration_handler.lua>
    [f=0000000] Loaded widget:  Defense Range Zero-K  <gui_defenserange.lua>
    [f=0000000] Loaded widget:  Ferry Points        <cmd_ferry_points.lua>
    [f=0000000] Loaded widget:  Frame Gap Logger    <dbg_frame_gap_logger.lua>
    [f=0000000] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [f=0000000] Loaded widget:  Haven Handler       <gui_havens.lua>
    [f=0000000] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=0000000] Loaded widget:  In-game Guide       <gui_ingame_guide.lua>
    [f=0000000] Loaded widget:  Keep Target         <cmd_keep_target.lua>
    [f=0000000] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [f=0000000] Loaded widget:  Map Edge Extension  <map_edge_extension.lua>
    [f=0000000] Loaded widget:  MetalFeatures       <gui_metal_features.lua>
    [f=0000000] Loaded widget:  Mex Placement Handler  <cmd_mex_placement.lua>
    [f=0000000] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [f=0000000] Loaded widget:  Missile Silo Range  <missilesilo_range.lua>
    [f=0000000] Loaded widget:  Morph Finished notification  <unit_morph_finished.lua>
    [f=0000000] Loaded widget:  Music Player        <snd_music.lua>
    [f=0000000] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [f=0000000] Loaded widget:  Persistent Build Spacing  <gui_persistent_build_spacing.lua>
    [f=0000000] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=0000000] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [f=0000000] Loaded widget:  Show All Commands v2  <unit_showallcommands_2.lua>
    [f=0000000] Loaded widget:  Showeco and Grid Drawer  <gui_showeco_action.lua>
    [f=0000000] Loaded widget:  SmoothCam           <camera_smoothcam.lua>
    [f=0000000] Loaded widget:  Spectate Selected Team  <gui_spectate_selected_team.lua>
    [f=0000000] Loaded widget:  Start Point Remover & Comm Selector  <init_start_point_remover.lua>
    [f=0000000] Loaded widget:  Startup Info and Selector  <init_startup_info_selector.lua>
    [f=0000000] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=0000000] Loaded widget:  Stereo3D            <gfx_stereo3d.lua>
    [f=0000000] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [f=0000000] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [f=0000000] Loaded widget:  Voice Assistant     <unit_voice.lua>
    [f=0000000] Loaded widget:  Announcer           <gui_announcer.lua>
    [f=0000000] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=0000000] Loaded widget:  Chili Custom Modoptions Info  <gui_custommodoptions_info.lua>
    [f=0000000] Loaded widget:  MessageBoxes        <mission_messagebox.lua>
    [f=0000000] Loaded widget:  Objectives          <mission_objectives.lua>
    [f=0000000] Loaded widget:  PlanetWars Info     <gui_planetwars_info.lua>
    [f=0000000] Loaded widget:  Recorder (Save)     <dbg_recorder_save.lua>
    [f=0000000] <Replay control buttons> Live mode. Widget removed.
    [f=0000000] Loaded widget:  Replay control buttons  <gui_replay_controls.lua>
    [f=0000000] Loaded widget:  Select Keys         <gui_selectkeys.lua>
    [f=0000000] Loaded widget:  SmoothScroll        <camera_smooth_move.lua>
    [f=0000000] Loaded widget:  Unit Start State    <unit_start_state.lua>
    [f=0000000] Loaded widget:  UnitNoStuckInFactory  <unit_nostuck_infactory.lua>
    [f=0000000] Loaded widget:  Commands FX         <gfx_commands_fx.lua>
    [f=0000000] Loaded widget:  UnitShapes          <unit_shapes.lua>
    [f=0000000] Loaded widget:  Ore mexes!          <gui_oremex.lua>
    [f=0000000] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [f=0000000] Marketplace and Bounty Icons: Widget removed.
    [f=0000000] Loaded widget:  Bounty & Marketplace Icons (experimental)  <unit_bounty_marketplace_icons.lua>
    [f=0000000] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [f=0000000] Loaded widget:  CEG Spawner         <dbg_ceg_spawner.lua>
    [f=0000000] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [f=0000000] Loaded widget:  CommandInsert       <cmd_commandinsert.lua>
    [f=0000000] Loaded widget:  Gadget Icons        <unit_gadget_icons.lua>
    [f=0000000] Loaded widget:  Rank Icons 2        <unit_rank_icons.lua>
    [f=0000000] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [f=0000000] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [f=0000000] Loaded widget:  State Icons         <unit_state_icons.lua>
    [f=0000000] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=0000000] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [f=0000000] Loaded widget:  Newton Firezone     <cmd_newton_firezone.lua>
    [f=0000000] Loaded widget:  Receive Units Indicator  <gui_recv_indicator.lua>
    [f=0000000] Loaded widget:  Auto-toggle false color vision  <gui_auto_engine_falsecolor.lua>
    [f=0000000] Loaded widget:  Chili Crude Player List  <gui_chili_crudeplayerlist.lua>
    [f=0000000] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [f=0000000] Loaded widget:  Chili Pro Console   <gui_chili_proconsole_test.lua>
    [f=0000000] Loaded widget:  Chili Window Packer  <gui_chili_windowpacker.lua>
    [f=0000000] Loaded widget:  HUD Presets         <gui_hud_presets.lua>
    [f=0000000] Loaded widget:  Image Preloader     <dbg_img_preload.lua>
    [f=0000000] Loaded widget:  Chili Core Selector  <gui_chili_core_selector.lua>
    [f=0000000] Loaded widget:  Default Group Recall Fix  <gui_group_recall_fix.lua>
    [f=0000000] Loaded widget:  MiniMap Start Boxes  <minimap_startbox.lua>
    [f=0000000] Loaded widget:  Start Boxes         <minimap_startbox_new.lua>
    [f=0000000] Loaded widget:  Pause Screen        <gui_pausescreen.lua>
    [f=0000000] Loaded widget:  Restricted Zones    <gui_restrictedzones.lua>
    [f=0000000] Loaded widget:  Jumpjet GUI         <gui_jumpjets.lua>
    [f=0000000] Loaded widget:  Chili Gesture Menu  <gui_chili_gesture_menu.lua>
    [f=0000000] Loaded widget:  CustomFormations2   <cmd_customformations2.lua>
    [f=0000000] Loaded widget:  Chili Integral Menu  <gui_chili_integral_menu.lua>
    [f=0000000] Loaded widget:  GC at >300MB        <dbg_forcegc_spring97.lua>
    [f=0000000] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [f=0000000] UnnamedPlayer ENABLE TTS
    [f=0000000] Loaded widget:  Text To Speech Control  <snd_text_to_speech.lua>
    [f=0000000] [Shared Functions] Warning: LuaUI/Configs/zk_keys.lua: No such file or directory
    [f=0000000] Writing last game win data
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=1122031840
    [f=0000000] PathCosts: creating PE8 cache with 12 PF threads (123 MB)
    [f=0000000] PathCosts: precached 558 of 16384 blocks
    [f=0000000] PathCosts: precached 2446 of 16384 blocks
    [f=0000000] PathCosts: precached 3475 of 16384 blocks
    [f=0000000] PathCosts: precached 4860 of 16384 blocks
    [f=0000000] PathCosts: precached 7651 of 16384 blocks
    [f=0000000] PathCosts: precached 8772 of 16384 blocks
    [f=0000000] PathCosts: precached 10387 of 16384 blocks
    [f=0000000] PathCosts: precached 11593 of 16384 blocks
    [f=0000000] PathCosts: precached 12622 of 16384 blocks
    [f=0000000] PathCosts: precached 13749 of 16384 blocks
    [f=0000000] PathCosts: precached 14956 of 16384 blocks
    [f=0000000] PathCosts: precached 16142 of 16384 blocks
    [f=0000000] PathCosts: writing
    [f=0000000] [Path] [PathEstimator::WriteFile] hash=1122031840
    [f=0000000] PathCosts: written
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=1122031864
    [f=0000000] PathCosts: creating PE32 cache with 12 PF threads (32 MB)
    [f=0000000] PathCosts: precached 85 of 1024 blocks
    [f=0000000] PathCosts: precached 152 of 1024 blocks
    [f=0000000] PathCosts: precached 225 of 1024 blocks
    [f=0000000] PathCosts: precached 292 of 1024 blocks
    [f=0000000] PathCosts: precached 364 of 1024 blocks
    [f=0000000] PathCosts: precached 429 of 1024 blocks
    [f=0000000] PathCosts: precached 497 of 1024 blocks
    [f=0000000] PathCosts: precached 561 of 1024 blocks
    [f=0000000] PathCosts: precached 631 of 1024 blocks
    [f=0000000] PathCosts: precached 699 of 1024 blocks
    [f=0000000] PathCosts: precached 781 of 1024 blocks
    [f=0000000] PathCosts: precached 850 of 1024 blocks
    [f=0000000] PathCosts: precached 915 of 1024 blocks
    [f=0000000] PathCosts: precached 982 of 1024 blocks
    [f=0000000] PathCosts: writing
    [f=0000000] [Path] [PathEstimator::WriteFile] hash=1122031864
    [f=0000000] PathCosts: written
    [f=0000000] [LoadFinalize] finalized PFS (3639ms, checksum e27fe9d5)
    [f=0000000] Loading Skirmish AIs
    [f=0000000] Error: Unknown skirmish AI specified:  
    [f=0000000] Mex Placement Initialised with 68 spots.
    [f=0000000] Removed:  LuaUI/Widgets/gui_chili_gesture_menu.lua
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] GameID: 6a599355309cd276674bbe6c6b65bf7c
    [f=0000000] Connection attempt from UnnamedPlayer
    [f=0000000]  -> Version: 99.0.1-41-g9d1b5ac develop
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Player UnnamedPlayer finished loading and is now ingame
    [f=0000000] Epicmenu: Switching to Total Annihilation camera mode
    [f=0000000] Skirmish AI "AI: Commanders" (ID:0), which controlled team 1 is now dead
    [f=0000000] <UnnamedPlayer> Allies: I choose: Recon Trainer!
    [f=0000000] Cheating is enabled!
    [f=0000094] [GiveUnits] spawned 1 armpw unit(s) for team 1
    [f=0000221] [GiveUnits] spawned 1 correap unit(s) for team 1
    [f=0000356] [GiveUnits] spawned 20 battledrone unit(s) for team 0
    [f=0000479] <Ghost Site> Spectator mode. Widget removed.
    [f=0000547] God-Mode is enabled!
    [f=0000747] [GiveUnits] spawned 1 correap unit(s) for team 1
    [f=0001156] [GiveUnits] spawned 1 correap unit(s) for team 1
    [f=0001283]   corawac   corawac_dead   corawac_heap 
    [f=0001299] [GiveUnits] spawned 1 corawac unit(s) for team 0
    [f=0001491]   armbrawl   armbrawl_dead   armbrawl_heap 
    [f=0001518] Warning: [GiveUnits] armbrawl] is not a valid object-name
    [f=0001570] [GiveUnits] spawned 1 armbrawl unit(s) for team 0
    [f=0001741] Speed set to 1.1 [UnnamedPlayer]
    [f=0001750] Speed set to 1.2 [UnnamedPlayer]
    [f=0001751] Speed set to 1.3 [UnnamedPlayer]
    [f=0001752] Speed set to 1.4 [UnnamedPlayer]
    [f=0001753] Speed set to 1.5 [UnnamedPlayer]
    [f=0001755] Speed set to 1.6 [UnnamedPlayer]
    [f=0001757] Speed set to 1.7 [UnnamedPlayer]
    [f=0001758] Speed set to 1.8 [UnnamedPlayer]
    [f=0001760] Speed set to 1.9 [UnnamedPlayer]
    [f=0001762] Speed set to 2.0 [UnnamedPlayer]
    [f=0001764] Speed set to 2.2 [UnnamedPlayer]
    [f=0001766] Speed set to 2.4 [UnnamedPlayer]
    [f=0001769] Speed set to 2.6 [UnnamedPlayer]
    [f=0001771] Speed set to 2.8 [UnnamedPlayer]
    [f=0001774] Speed set to 3.0 [UnnamedPlayer]
    [f=0001777] Speed set to 3.2 [UnnamedPlayer]
    [f=0001780] Speed set to 3.4 [UnnamedPlayer]
    [f=0001783] Speed set to 3.6 [UnnamedPlayer]
    [f=0004274] [GiveUnits] spawned 10 armkam unit(s) for team 0
    [f=0004713] [GiveUnits] spawned 1 correap unit(s) for team 1
    [f=0005095] Error: Failed to allocate memory
    [f=0005095] Error: Error handler invoked for Spring 99.0.1-41-g9d1b5ac develop.
    [f=0005095] Error: DLL information:
    [f=0005095] Error: Failed to allocate memory
    [f=0005095] Error: Error handler invoked for Spring 99.0.1-41-g9d1b5ac develop.
    [f=0005095] Error: DLL information:
    [f=0005095] Error: 0x00400000	spring
    [f=0005095] Error: 0x774d0000	ntdll
    [f=0005095] Error: 0x75fe0000	kernel32
    [f=0005095] Error: 0x75ef0000	KERNELBASE
    [f=0005095] Error: 0x75120000	ADVAPI32
    [f=0005095] Error: 0x75690000	msvcrt
    [f=0005095] Error: 0x75e80000	sechost
    [f=0005095] Error: 0x75200000	RPCRT4
    [f=0005095] Error: 0x74e50000	SspiCli
    [f=0005095] Error: 0x74e40000	CRYPTBASE
    [f=0005095] Error: 0x59230000	GLU32
    [f=0005095] Error: 0x522e0000	OPENGL32
    [f=0005095] Error: 0x75f40000	GDI32
    [f=0005095] Error: 0x757a0000	USER32
    [f=0005095] Error: 0x76f40000	LPK
    [f=0005095] Error: 0x758f0000	USP10
    [f=0005095] Error: 0x521f0000	DDRAW
    [f=0005095] Error: 0x73c50000	DCIMAN32
    [f=0005095] Error: 0x75450000	SETUPAPI
    [f=0005095] Error: 0x750f0000	CFGMGR32
    [f=0005095] Error: 0x75010000	OLEAUT32
    [f=0005095] Error: 0x74eb0000	ole32
    [f=0005095] Error: 0x751e0000	DEVOBJ
    [f=0005095] Error: 0x73d60000	dwmapi
    [f=0005095] Error: 0x76f50000	IMAGEHLP
    [f=0005095] Error: 0x762e0000	SHELL32
    [f=0005095] Error: 0x75360000	SHLWAPI
    [f=0005095] Error: 0x6f350000	WINMM
    [f=0005095] Error: 0x758a0000	WS2_32
    [f=0005095] Error: 0x75ed0000	NSI
    [f=0005095] Error: 0x10000000	DevIL
    [f=0005095] Error: 0x7be90000	MSVCP80
    [f=0005095] Error: 0x6f570000	MSVCR80
    [f=0005095] Error: 0x6b600000	OpenAL32
    [f=0005095] Error: 0x6cec0000	libgcc_s_sjlj-1
    [f=0005095] Error: 0x70780000	vorbisfile
    [f=0005095] Error: 0x68140000	ogg
    [f=0005095] Error: 0x64cc0000	vorbis
    [f=0005095] Error: 0x62e80000	zlib1
    [f=0005095] Error: 0x70e40000	libfreetype-6
    [f=0005095] Error: 0x64f80000	libfontconfig-1
    [f=0005095] Error: 0x68f40000	libexpat-1
    [f=0005095] Error: 0x62aa0000	glew32
    [f=0005095] Error: 0x6c740000	SDL2
    [f=0005095] Error: 0x75740000	IMM32
    [f=0005095] Error: 0x75990000	MSCTF
    [f=0005095] Error: 0x74d70000	VERSION
    [f=0005095] Error: 0x549f0000	nvapi
    [f=0005095] Error: 0x75680000	profapi
    [f=0005095] Error: 0x73db0000	uxtheme
    [f=0005095] Error: 0x69340000	nvoglv32
    [f=0005095] Error: 0x73460000	WTSAPI32
    [f=0005095] Error: 0x74ce0000	ntmarta
    [f=0005095] Error: 0x750a0000	WLDAP32
    [f=0005095] Error: 0x721c0000	WINSTA
    [f=0005095] Error: 0x75ca0000	CLBCatQ
    [f=0005095] Error: 0x6f310000	shfolder
    [f=0005095] Error: 0x65010000	MMDevApi
    [f=0005095] Error: 0x728c0000	PROPSYS
    [f=0005095] Error: 0x53170000	dsound
    [f=0005095] Error: 0x734d0000	POWRPROF
    [f=0005095] Error: 0x5de30000	AUDIOSES
    [f=0005095] Error: 0x53140000	dinput8
    [f=0005095] Error: 0x59450000	HID
    [f=0005095] Error: 0x75ea0000	WINTRUST
    [f=0005095] Error: 0x76f80000	CRYPT32
    [f=0005095] Error: 0x75670000	MSASN1
    [f=0005095] Error: 0x0e7a0000	XInput1_3
    [f=0005095] Error: 0x6fa50000	mswsock
    [f=0005095] Error: 0x6f2e0000	wship6
    [f=0005095] Error: 0x6fa00000	wshtcpip
    [f=0005095] Error: 0x6f640000	DNSAPI
    [f=0005095] Error: 0x6fa30000	IPHLPAPI
    [f=0005095] Error: 0x6fa10000	WINNSI
    [f=0005095] Error: 0x00f50000	rasadhlp
    [f=0005095] Error: 0x034d0000	fwpuclnt
    [f=0005095] Error: 0x72cb0000	dbghelp
    [f=0005095] Error: Stacktrace for Spring 99.0.1-41-g9d1b5ac develop:
    [f=0005095] Error: (0) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0077FBC9]
    [f=0005095] Error: (1) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0077FEDB]
    [f=0005095] Error: (2) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x4d5373) [0x00C81563]
    [f=0005095] Error: (3) C:\Windows\SysWOW64\ntdll.dll(RtlInitUnicodeString+0x164) [0x774FE38C]
    [f=0005095] Error: (4) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x25f528) [0x00A0B718]
    [f=0005095] Error: (5) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x4d52c8) [0x00C814B8]
    [f=0005095] Error: (6) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x25f586) [0x00A0B776]
    [f=0005095] Error: (7) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x25f586) [0x00A0B776]
    [f=0005095] Error: (8) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x4d5393) [0x00C81583]
    [f=0005095] Error: (9) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x006E1C07]
    [f=0005095] Error: (10) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x006E2BFE]
    [f=0005095] Error: (11) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x006E8274]
    [f=0005095] Error: (12) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x006E8DF8]
    [f=0005095] Error: (13) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x006E90F0]
    [f=0005095] Error: (14) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x00481C1E]
    [f=0005095] Error: (15) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0077D5B8]
    [f=0005095] Error: (16) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0077D687]
    [f=0005095] Error: (17) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0077C100]
    [f=0005095] Error: (18) C:\Windows\SysWOW64\ntdll.dll(RtlFreeHeap+0x7e) [0x774FE023]
    [f=0005095] Error: (19) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0077C7D5]
    [f=0005095] Error: (20) C:\Windows\syswow64\dbghelp.dll(SymEnumProcesses+0x100) [0x72CE2489]
    [f=0005095] Error: (21) C:\Windows\syswow64\dbghelp.dll(SymEnumerateModules+0x36) [0x72CE251F]
    [f=0005095] Error: (22) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0077FE4D]
    [f=0005095] Error: (23) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0077FEC6]
    [f=0005095] Error: (24) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x4d5373) [0x00C81563]
    [f=0005095] Error: (25) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x149099) [0x008F5289]
    [f=0005095] Error: (26) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x149e71) [0x008F6061]
    [f=0005095] Error: (27) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x180bd6) [0x0092CDC6]
    [f=0005095] Error: (28) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x21e966) [0x009CAB56]
    [f=0005095] Error: (29) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x22e08e) [0x009DA27E]
    [f=0005095] Error: (30) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0042579C]
    [f=0005095] Error: (31) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x004FC7BC]
    [f=0005095] Error: (32) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0042FB1D]
    [f=0005095] Error: (33) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0073995E]
    [f=0005095] Error: (34) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x00740BA9]
    [f=0005095] Error: (35) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x00719CE6]
    [f=0005095] Error: (36) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x508784) [0x00CB4974]
    [f=0005095] Error: (37) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x00401402]
    [f=0005095] Error: (38) C:\Windows\syswow64\kernel32.dll(BaseThreadInitThunk+0x12) [0x75FF337A]
    [f=0005095] Error: (39) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x63) [0x775092B2]
    [f=0005095] Error: (40) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x36) [0x77509285]
    [f=0005095] Error: [ErrorMessageBox][1] msg="Failed to allocate memory" IsMainThread()=1 fromMain=0
    [f=0005095] Error: [ErrorMessageBox][2]
    [f=0005095] [SpringApp::ShutDown][1]
    [f=0005095] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=6
    [f=0005095] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0005095] [SpringApp::ShutDown][2]
    [f=0005095] [KillLua][1]
    [f=0005095] [KillLua][2]
    [f=0005095] Start gadgetHandler:Shutdown
    [f=0005095] Shutdown - ShareControl
    [f=0005095] Shutdown - UnitMorph
    [f=0005095] Shutdown - LupsNanoSpray
    [f=0005095] Shutdown - Puppy Handler
    [f=0005095] Shutdown - StartSetup
    [f=0005095] Shutdown - Terrain Texture Handler
    [f=0005095] Shutdown - UnitCloakShield
    [f=0005095] End gadgetHandler:Shutdown
    [f=0005095] Error: Stacktrace for Spring 99.0.1-41-g9d1b5ac develop:
    [f=0005095] Error: (0) Unknown [0x0077FBC9]
    [f=0005095] Error: (1) Unknown [0x0077FEDB]
    [f=0005095] Error: (2) Unknown [0x00C81563]
    [f=0005095] Error: (3) Unknown [0x008F5289]
    [f=0005095] Error: (4) Unknown [0x008F6061]
    [f=0005095] Error: (5) Unknown [0x0092CDC6]
    [f=0005095] Error: (6) Unknown [0x009CAB56]
    [f=0005095] Error: (7) Unknown [0x009DA27E]
    [f=0005095] Error: (8) Unknown [0x0042579C]
    [f=0005095] Error: (9) Unknown [0x004FC7BC]
    [f=0005095] Error: (10) Unknown [0x0042FB1D]
    [f=0005095] Error: (11) Unknown [0x0073995E]
    [f=0005095] Error: (12) Unknown [0x00740BA9]
    [f=0005095] Error: (13) Unknown [0x00719CE6]
    [f=0005095] Error: (14) Unknown [0x00CB4974]
    [f=0005095] Error: (15) Unknown [0x00401402]
    [f=0005095] Error: (16) Unknown [0x75FF337A]
    [f=0005095] Error: (17) Unknown [0x775092B2]
    [f=0005095] Error: (18) Unknown [0x77509285]
    [f=0005095] Error: [ErrorMessageBox][1] msg="Failed to allocate memory" IsMainThread()=1 fromMain=0
    [f=0005095] Error: [ErrorMessageBox][2]
    [f=0005095] Error: [ErrorMessageBox][3]
    [f=0005095] Error: [ErrorMessageBox][4]
    [f=0005095] Fatal: Spring: Fatal Error
    Failed to allocate memory
    [f=0005095] Error: Spring 99.0.1-41-g9d1b5ac develop has crashed.
    [f=0005095] Error: DLL information:
    [f=0005095] Error: 0x00400000	spring
    [f=0005095] Error: 0x774d0000	ntdll
    [f=0005095] Error: 0x75fe0000	kernel32
    [f=0005095] Error: 0x75ef0000	KERNELBASE
    [f=0005095] Error: 0x75120000	ADVAPI32
    [f=0005095] Error: 0x75690000	msvcrt
    [f=0005095] Error: 0x75e80000	sechost
    [f=0005095] Error: 0x75200000	RPCRT4
    [f=0005095] Error: 0x74e50000	SspiCli
    [f=0005095] Error: 0x74e40000	CRYPTBASE
    [f=0005095] Error: 0x59230000	GLU32
    [f=0005095] Error: 0x522e0000	OPENGL32
    [f=0005095] Error: 0x75f40000	GDI32
    [f=0005095] Error: 0x757a0000	USER32
    [f=0005095] Error: 0x76f40000	LPK
    [f=0005095] Error: 0x758f0000	USP10
    [f=0005095] Error: 0x521f0000	DDRAW
    [f=0005095] Error: 0x73c50000	DCIMAN32
    [f=0005095] Error: 0x75450000	SETUPAPI
    [f=0005095] Error: 0x750f0000	CFGMGR32
    [f=0005095] Error: 0x75010000	OLEAUT32
    [f=0005095] Error: 0x74eb0000	ole32
    [f=0005095] Error: 0x751e0000	DEVOBJ
    [f=0005095] Error: 0x73d60000	dwmapi
    [f=0005095] Error: 0x76f50000	IMAGEHLP
    [f=0005095] Error: 0x762e0000	SHELL32
    [f=0005095] Error: 0x75360000	SHLWAPI
    [f=0005095] Error: 0x6f350000	WINMM
    [f=0005095] Error: 0x758a0000	WS2_32
    [f=0005095] Error: 0x75ed0000	NSI
    [f=0005095] Error: 0x10000000	DevIL
    [f=0005095] Error: 0x7be90000	MSVCP80
    [f=0005095] Error: 0x6f570000	MSVCR80
    [f=0005095] Error: 0x6b600000	OpenAL32
    [f=0005095] Error: 0x6cec0000	libgcc_s_sjlj-1
    [f=0005095] Error: 0x70780000	vorbisfile
    [f=0005095] Error: 0x68140000	ogg
    [f=0005095] Error: 0x64cc0000	vorbis
    [f=0005095] Error: 0x62e80000	zlib1
    [f=0005095] Error: 0x70e40000	libfreetype-6
    [f=0005095] Error: 0x64f80000	libfontconfig-1
    [f=0005095] Error: 0x68f40000	libexpat-1
    [f=0005095] Error: 0x62aa0000	glew32
    [f=0005095] Error: 0x6c740000	SDL2
    [f=0005095] Error: 0x75740000	IMM32
    [f=0005095] Error: 0x75990000	MSCTF
    [f=0005095] Error: 0x74d70000	VERSION
    [f=0005095] Error: 0x549f0000	nvapi
    [f=0005095] Error: 0x75680000	profapi
    [f=0005095] Error: 0x73db0000	uxtheme
    [f=0005095] Error: 0x69340000	nvoglv32
    [f=0005095] Error: 0x73460000	WTSAPI32
    [f=0005095] Error: 0x74ce0000	ntmarta
    [f=0005095] Error: 0x750a0000	WLDAP32
    [f=0005095] Error: 0x721c0000	WINSTA
    [f=0005095] Error: 0x75ca0000	CLBCatQ
    [f=0005095] Error: 0x6f310000	shfolder
    [f=0005095] Error: 0x65010000	MMDevApi
    [f=0005095] Error: 0x728c0000	PROPSYS
    [f=0005095] Error: 0x53170000	dsound
    [f=0005095] Error: 0x734d0000	POWRPROF
    [f=0005095] Error: 0x5de30000	AUDIOSES
    [f=0005095] Error: 0x53140000	dinput8
    [f=0005095] Error: 0x59450000	HID
    [f=0005095] Error: 0x75ea0000	WINTRUST
    [f=0005095] Error: 0x76f80000	CRYPT32
    [f=0005095] Error: 0x75670000	MSASN1
    [f=0005095] Error: 0x0e7a0000	XInput1_3
    [f=0005095] Error: 0x6fa50000	mswsock
    [f=0005095] Error: 0x6f2e0000	wship6
    [f=0005095] Error: 0x6fa00000	wshtcpip
    [f=0005095] Error: 0x6f640000	DNSAPI
    [f=0005095] Error: 0x6fa30000	IPHLPAPI
    [f=0005095] Error: 0x6fa10000	WINNSI
    [f=0005095] Error: 0x00f50000	rasadhlp
    [f=0005095] Error: 0x034d0000	fwpuclnt
    [f=0005095] Error: 0x72cb0000	dbghelp
    [f=0005095] Error: Exception: Access violation (0xc0000005)
    [f=0005095] Error: Exception Address: 0x77502a83
    [f=0005095] Error: Stacktrace for Spring 99.0.1-41-g9d1b5ac develop:
    [f=0005095] Error: (0) C:\Windows\SysWOW64\ntdll.dll(RtlInterlockedFlushSList+0x2ee) [0x77502A83]
    [f=0005095] Error: (1) C:\Windows\SysWOW64\ntdll.dll(RtlInterlockedFlushSList+0x576) [0x77502D0B]
    [f=0005095] Error: (2) C:\Windows\SysWOW64\ntdll.dll(RtlInterlockedFlushSList+0x461) [0x77502BF6]
    [f=0005095] Error: (3) C:\Windows\syswow64\msvcrt.dll(free+0x39) [0x756998CD]
    [f=0005095] Error: (4) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x00431515]
    [f=0005095] Error: (5) C:\Windows\syswow64\msvcrt.dll(exit+0x11) [0x756A36BB]
    [f=0005095] Error: (6) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0072E764]
    [f=0005095] Error: (7) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0077FFA9]
    [f=0005095] Error: (8) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x4d5373) [0x00C81563]
    [f=0005095] Error: (9) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x149099) [0x008F5289]
    [f=0005095] Error: (10) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x149e71) [0x008F6061]
    [f=0005095] Error: (11) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x180bd6) [0x0092CDC6]
    [f=0005095] Error: (12) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x21e966) [0x009CAB56]
    [f=0005095] Error: (13) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x22e08e) [0x009DA27E]
    [f=0005095] Error: (14) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0042579C]
    [f=0005095] Error: (15) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x004FC7BC]
    [f=0005095] Error: (16) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0042FB1D]
    [f=0005095] Error: (17) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x0073995E]
    [f=0005095] Error: (18) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x00740BA9]
    [f=0005095] Error: (19) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x00719CE6]
    [f=0005095] Error: (20) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x508784) [0x00CB4974]
    [f=0005095] Error: (21) C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe [0x00401402]
    [f=0005095] Error: (22) C:\Windows\syswow64\kernel32.dll(BaseThreadInitThunk+0x12) [0x75FF337A]
    [f=0005095] Error: (23) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x63) [0x775092B2]
    [f=0005095] Error: (24) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x36) [0x77509285]
    [f=0005095] Error: [ErrorMessageBox][1] msg="Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\infolog.txt" IsMainThread()=1 fromMain=0
    [f=0005095] Error: [ErrorMessageBox][2]
    [f=0005095] Error: [ErrorMessageBox][3]
    [f=0005095] Error: [ErrorMessageBox][4]
    [f=0005095] Fatal: Spring: Unhandled exception
    Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\infolog.txt
    
    txt file icon infolog.txt (149,529 bytes) 2015-07-01 05:12 +

-Relationships
+Relationships

-Notes

~0014815

Google_Frog (reporter)

A replay file was created but it is empty. 0 bytes.

~0014817

Google_Frog (reporter)

Perhaps it can be reproduced by telling 10 armkam to attack a correap. That is what I was doing at the time.

~0014819

hokomoko (developer)

Ordered same units all around the place but had no success in reproducing.
Trace says something about los.

~0014841

abma (administrator)

translated:

C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0077FBC9 rts/System/Platform/Win/CrashHandler.cpp:177
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0077FEDB rts/System/Platform/Win/CrashHandler.cpp:325
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00C81563 /opt/mxe/tmp-gcc/gcc-4.8.1/libstdc++-v3/libsupc++/new_op.cc:58
C:\Windows\SysWOW64\ntdll.dll 0x774FE38C ??:0
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00A0B718 /opt/mxe/tmp-gcc/gcc-4.8.1.build/i686-w64-mingw32/libgcc/./gthr-default.h:628
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00C814B8 /opt/mxe/tmp-gcc/gcc-4.8.1/libstdc++-v3/libsupc++/new_opv.cc:32
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00A0B776 /opt/mxe/tmp-gcc/gcc-4.8.1.build/i686-w64-mingw32/libgcc/./gthr-default.h:628
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00A0B776 /opt/mxe/tmp-gcc/gcc-4.8.1.build/i686-w64-mingw32/libgcc/./gthr-default.h:628
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00C81583 /opt/mxe/tmp-gcc/gcc-4.8.1/libstdc++-v3/libsupc++/new_op.cc:62
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x006E1C07 rts/Rendering/Fonts/CFontTexture.cpp:414
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x006E2BFE rts/Rendering/Fonts/glFont.cpp:209
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x006E8274 rts/Rendering/Fonts/TextWrap.cpp:490
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x006E8DF8 rts/Rendering/Fonts/TextWrap.cpp:557
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x006E90F0 rts/Rendering/Fonts/TextWrap.cpp:585
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00481C1E /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/basic_string.h:272
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0077D5B8 rts/System/Log/LogSinkHandler.cpp:46
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0077D687 /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/basic_string.h:293
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0077C100 /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/stl_tree.h:270
C:\Windows\SysWOW64\ntdll.dll 0x774FE023 ??:0
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0077C7D5 rts/System/Log/DefaultFilter.cpp:254
C:\Windows\syswow64\dbghelp.dll 0x72CE2489 ??:0
C:\Windows\syswow64\dbghelp.dll 0x72CE251F ??:0
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0077FE4D rts/System/Platform/Win/CrashHandler.cpp:307
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0077FEC6 rts/System/Platform/Win/CrashHandler.cpp:291
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00C81563 /opt/mxe/tmp-gcc/gcc-4.8.1/libstdc++-v3/libsupc++/new_op.cc:58
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x008F5289 rts/Sim/Misc/LosHandler.cpp:207
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x008F6061 rts/Sim/Misc/LosHandler.cpp:196
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0092CDC6 rts/Sim/MoveTypes/MoveType.cpp:93
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x009CAB56 rts/Sim/Units/Unit.cpp:990
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x009DA27E rts/Sim/Units/UnitHandler.cpp:272
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0042579C rts/Game/Game.cpp:1578
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x004FC7BC rts/System/Sync/SyncChecker.h:37
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0042FB1D rts/Game/Game.cpp:1024
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x0073995E rts/System/SpringApp.cpp:939
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00740BA9 rts/System/SpringApp.cpp:975
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00719CE6 rts/System/Main.cpp:48
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00CB4974 rts/System/Main.cpp:107
C:\Users\user\Documents\My Games\Spring\engine\99.0.1-41-g9d1b5ac\spring.exe 0x00401402 /opt/mxe/tmp-gcc/gcc-4.8.1/mirror-mingw-w64-c28722c/trunk/mingw-w64-crt/crt/crtexe.c:317
C:\Windows\syswow64\kernel32.dll 0x75FF337A ??:0
C:\Windows\SysWOW64\ntdll.dll 0x775092B2 ??:0
C:\Windows\SysWOW64\ntdll.dll 0x77509285 ??:0

~0014842

abma (administrator)

can't reproduce, too :-|

~0014843

hokomoko (developer)

I haven't managed to figure by the trace where the issue is, but it may be a memory corruption.
jK may have an idea?

I won't be surprised if crash handler was called twice because it hit "out of memory" itself.

~0014847

abma (administrator)

Last edited: 2015-07-03 01:07

View 2 revisions

the issue is, that in rts/Sim/Misc/LosHandler.cpp:207 the allocator fails and the crashhandler is triggered.

https://github.com/spring/spring/blob/develop/rts/System/Platform/Win/CrashHandler.cpp#L329

not sure why it can't allocate any memory, very likely it allocated already to many. spring on windows is 32 bit, so 4GB RAM can be used at max.

imo stacktrace looks valid, so no mem-corruption.

~0014917

abma (administrator)

did this happen a second time?

~0014920

cleanrock (developer)

When testing 99.0.1-77-geebaa0b i get tc_new fail (debug and release) with Zero-K v1.3.7.2 on ScorpioBattleground when i do one "/give all".
I don't get this tc_new fail with BA 8.17 when doing ~5 "/give all".

~0014922

abma (administrator)

not sure if this is the same issue. created 0004890 for the crash without msg (vs "Failed to allocate memory)

~0014929

cleanrock (developer)

The change after http://github.com/spring/spring/commit/8b50289 probably fixed the tc_new issue i saw above but i get a new crash, i will create a new ticket for that.
+Notes

-Issue History
Date Modified Username Field Change
2015-07-01 05:12 Google_Frog New Issue
2015-07-01 05:12 Google_Frog File Added: infolog.txt
2015-07-01 05:14 Google_Frog Note Added: 0014815
2015-07-01 05:32 Google_Frog Note Added: 0014817
2015-07-01 09:38 hokomoko Note Added: 0014819
2015-07-03 00:21 abma Note Added: 0014841
2015-07-03 00:41 abma Note Added: 0014842
2015-07-03 00:42 abma Product Version => 99.0+git
2015-07-03 00:47 hokomoko Note Added: 0014843
2015-07-03 01:07 abma Note Added: 0014847
2015-07-03 01:07 abma Note Edited: 0014847 View Revisions
2015-07-07 00:27 abma Note Added: 0014917
2015-07-07 00:27 abma Status new => feedback
2015-07-07 07:36 cleanrock Note Added: 0014920
2015-07-07 11:31 abma Note Added: 0014922
2015-07-07 13:50 cleanrock Note Added: 0014929
2015-07-07 14:02 abma Status feedback => resolved
2015-07-07 14:02 abma Resolution open => unable to reproduce
2015-07-07 14:02 abma Assigned To => abma
+Issue History